/*
 * YFSDummy.java
 *
 * Created on 17. April 2000, 22:19
 */
 
package YARB.FileSources;
import YARB.Interfaces.*;
import javax.swing.*;

/** 
 *
 * @author  Thomas
 * @version 
 */
public class YFSDummy 
extends Object 
implements IFileSource 
{

  /** Creates new YFSDummy */
  public YFSDummy() {
  }
 
  /** This function forces the object to save its configuration data to a file
   */
  public boolean SaveConfiguration(IConfigurationWriter Cfg) throws IConfigurationWriter.ECfgWriterError {
    if(Cfg==null) return false;
    
    Cfg.addTitle(getName());
    
    return true;
  }
  
  /** This function forces the object to read a configuration from a file
   */
  public boolean LoadConfiguration(IConfigurationReader Cfg) throws IConfigurationReader.ECfgReaderError {
    if(Cfg==null) return false;
    
    setName(Cfg.getTitle());
    return true;
  }
 
  public boolean IsConfigurable()
  {
    return false;
  }
  
  
  public boolean ShowConfigurationDialog(JFrame ParentFrame)
  {
    return false;
  }

  
  public int numbOfPatterns()
  {
    return 5;
  }
  
  public int numbOfInputUnits()
  {
    return 25;
  }
  
  public int numbOfOutputUnits()
  {
    return 35;
  }
  
  public int numbOfVariableInputDimensions()
  {
    return 2;
  }
  
  public int numbOfVariableOutputDimensions()
  {
    return 3;
  }
  
  public int getMaxInputDimesion(int nVarInputDimesion)
  {
    int f[]= {5,5};
    return f[nVarInputDimesion];
  }
  
  public int getMaxOutputDimesion(int nVarOutputDimesion)
  {
    int f[]= {1,5,7};
    return f[nVarOutputDimesion];
  }
 
  public float getInputData(int nPattern,int nUnit)
  {
    return (float)(nPattern+1)/(float)(nUnit+1);
  }
  
  public float getOutputData(int nPattern,int nUnit)
  {
    return (float)(nUnit+1)/(float)(nPattern+1);
  }
  
  
  public boolean ProcessData() throws IDataProvider.DataProcessingError
  {
    return true;
  }
  
  public boolean FreeData() 
  {
    return true;
  }

  
  protected String m_FileName;

  
  public void setFileName(String strName)
  {
    m_FileName=strName;
  } 
  
  /**
  * Contains the assigned name string.
  */
  private String  m_strName;
  
  /**
  * Assigns a name to the current object.
  */
  public void setName(String strName){
    m_strName=strName;
  }
    
  /**
  * Returns the assigned name of the object
  */
  public String  getName(){
    return m_strName;
  }
 
}