/*
 * YARBMain.java
 *
 * Created on 17. April 2000, 21:15
 */
 
package YARB.Main;
import YARB.Interfaces.*;

/** 
 *
 * @author  Thomas
 * @version 
 */
public class YARBMain extends Object {

  /** Creates new YARBMain */
  public YARBMain() {
  }
  
  /**
  * @param args the command line arguments
  */
  public static void main (String args[]) 
  {
    System.out.println("\nY A R B -  Yet Another Result Browser\n\nStarting YARB...");
 
    YVisualizationManager man= YVisualizationManager.exemplar();
    if(!man.ReadConfigurationFromXML())
    {
      System.out.println("ERROR Reading YARB/Configuration/DynamicClasses.xml.\nRunning YARB with standard components.");
    };
    

    System.out.print(".");

    
    YMainFrame mf=new YMainFrame("YARB - Yet Another Result Browser");
    mf.show();
    
    System.out.print(".");

    YVNavigator nav= new YVNavigator ("YARB Navigator...");
    mf.AddFrame(nav);
    
    System.out.print(".ready!\n");
  }
}